python-pyhsm_1.0.4l-1_all.deb


Advertisement

Description

python-pyhsm - Python code for talking to a Yubico YubiHSM hardware

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyhsm
Package version 1.0.4l
Package release 1
Package architecture all
Package type deb
Installed size 168 B
Download size 27.45 KB
Official Mirror archive.ubuntu.com
YubiHSM is an easy to use and affordable crypto appliance
that you connect to the USB port of a server. You can then
store cryptographic keys on the YubiHSM and use them from the
server without any possibility for an attacker to extract
the crypto keys from the YubiHSM.
Supported operations include YubiKey OTP validation, AES ECB
encrypt/decrypt/decrypt-compare, HMAC-SHA1 hashing (enabling OATH code
validation), and Random number entropy generation.
This package contains the core Python code for interacting with the
YubiHSM.

Alternatives

Package Version Architecture Repository
python-pyhsm_1.0.4l-1_all.deb 1.0.4l all Ubuntu Universe
python-pyhsm - - -

Requires

Name Value
python-crypto -
python-serial -

Download

Type URL
Binary Package python-pyhsm_1.0.4l-1_all.deb
Source Package python-pyhsm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyhsm deb package:
    # sudo apt-get install python-pyhsm

Files

Path
/usr/lib/python2.7/dist-packages/pyhsm/__init__.py
/usr/lib/python2.7/dist-packages/pyhsm/aead_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/aes_ecb_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/base.py
/usr/lib/python2.7/dist-packages/pyhsm/basic_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/buffer_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/db_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/debug_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/defines.py
/usr/lib/python2.7/dist-packages/pyhsm/exception.py
/usr/lib/python2.7/dist-packages/pyhsm/hmac_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/oath_hotp.py
/usr/lib/python2.7/dist-packages/pyhsm/soft_hsm.py
/usr/lib/python2.7/dist-packages/pyhsm/stick.py
/usr/lib/python2.7/dist-packages/pyhsm/stick_client.py
/usr/lib/python2.7/dist-packages/pyhsm/util.py
/usr/lib/python2.7/dist-packages/pyhsm/validate_cmd.py
/usr/lib/python2.7/dist-packages/pyhsm/version.py
/usr/lib/python2.7/dist-packages/pyhsm/yubikey.py
/usr/lib/python2.7/dist-packages/pyhsm-1.0.4l.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pyhsm-1.0.4l.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/pyhsm-1.0.4l.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pyhsm-1.0.4l.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pyhsm-1.0.4l.egg-info/top_level.txt
/usr/share/doc/python-pyhsm/changelog.Debian.gz
/usr/share/doc/python-pyhsm/copyright
/usr/share/doc/python-pyhsm/examples/yhsm-monitor-exit.py
/usr/share/doc/python-pyhsm/examples/yhsm-password-auth.py.gz
/usr/share/doc/python-pyhsm/examples/yhsm-sysinfo.py

Changelog

2015-08-24 - Dain Nilsson <dain@yubico.com>
python-pyhsm (1.0.4l-1) unstable; urgency=low
* New upstream release.
2014-09-29 - Simon Josefsson <simon@josefsson.org>
python-pyhsm (1.0.4k-3) unstable; urgency=low
* Update standards version to 3.9.6.
2014-09-18 - Simon Josefsson <simon@josefsson.org>
python-pyhsm (1.0.4k-2) unstable; urgency=low
* Add new package 'yhsm-daemon'.
2014-09-18 - Simon Josefsson <simon@josefsson.org>
python-pyhsm (1.0.4k-1) unstable; urgency=low
* New upstream release.
* yhsm-yubikey-ksm: Ship yhsm-db-import/yhsm-db-export.
2014-09-16 - Simon Josefsson <simon@josefsson.org>
python-pyhsm (1.0.4j-1) unstable; urgency=low
* New upstream release.
* yhsm-yubikey-ksm: Depend on python-daemon and python-sqlalchemy.
* Fix URLs.
2014-09-15 - Simon Josefsson <simon@josefsson.org>
python-pyhsm (1.0.4h-1) unstable; urgency=low
* New upstream release.
* Update README.source.
* Add source/options for diff-ignore.
* Update upstream Homepage URL.
* Use dh_python3 instead of python-support.
* Change maintainer to pkg-auth-maintainers.
2013-04-16 - Simon Josefsson <simon@yubico.com>
python-pyhsm (1.0.4f-1) unstable; urgency=low
[ Dain Nilsson ]
* New upstream release.
- Support URLs in device field, for more info see:
http://pyserial.sourceforge.net/pyserial_api.html#serial.serial_for_url
- Added yhsm-daemon.
2013-04-06 - Simon Josefsson <simon@yubico.com>
python-pyhsm (1.0.4e-1) unstable; urgency=low
* New upstream release.
* Bump compat level to 9.
* Fix dh invocation for python.
* Update standards version to 3.9.4.
* Remove obsolete 'DM-Upload-Allowed'.
* Drop Fredrik as uploader, add Klas and Dain.
* Use machine readable copyright file.
* Update Homepage URL.
2013-03-18 - Klas Lindfors <klas@yubico.com>
python-pyhsm (1.0.4d-1) unstable; urgency=low
[ Klas Lindfors ]
* New upstream release.
- Make yhsm-yubikey-ksm work with the old fileformat
2013-03-18 - Klas Lindfors <klas@yubico.com>
python-pyhsm (1.0.4c-1) unstable; urgency=low
[ Klas Lindfors ]
* New upstream release.
- Let the OTP validation work with nonce in aead file
- add --random-nonce to yhsm-generate-keys and yhsm-import-keys

See Also

Package Description
python-pyip_0.7-2_all.deb Python modules for raw ip packet assembling/disassembling
python-pyisomd5sum_1.1.0-1build1_amd64.deb ISO9660 checksum Python module
python-pyjavaproperties_0.6-2.1_all.deb Python implementation of java.util.Properties
python-pykaraoke_0.7.5-1.1_amd64.deb free CDG/MIDI/MPEG karaoke player
python-pykdtree_0.2-1_amd64.deb Fast kd-tree implementation with OpenMP-enabled queries
python-pykickstart_1.83-2_all.deb Python library for manipulating kickstart files
python-pykka_1.2.1-2_all.deb Actor model library for Python (Python 2)
python-pykmip_0.4.0-2_all.deb implementation of the Key Management Interoperability Protocol - Python 2.x
python-pyknon_1.0-1_all.deb Simple Python music library
python-pylast_1.0.0-1_all.deb Python interface to Last.fm and other compatible services
python-pyld_0.6.8-1_all.deb implementation of the JSON-LD API
python-pylibmc-doc_1.5.0-4build1_all.deb libmemcached wrapper (Documentation)
python-pylibmc_1.5.0-4build1_amd64.deb libmemcached wrapper
python-pylint-celery_0.3-1_all.deb Pylint plugin for code using the Celery library
python-pylint-common_0.2.2-1_all.deb Pylint plugin for the standard Python library
Advertisement
Advertisement